Bug 1807701 - daily clamav-update logrotate error
Summary: daily clamav-update logrotate error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 01:28 UTC by Philippe Troin
Modified: 2020-03-16 20:30 UTC (History)
12 users (show)

Fixed In Version: clamav-0.102.2-3.fc30 clamav-0.102.2-3.fc31 clamav-0.102.2-3.el7 clamav-0.102.2-3.el8 clamav-0.102.2-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 02:27:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Philippe Troin 2020-02-27 01:28:54 UTC
Description of problem:
Every day, logrotate emails:
/etc/cron.daily/logrotate:
error: stat of /var/log/freshclam.log failed: No such file or directory

Note that clamav-update is installed, but has never run.

Version-Release number of selected component (if applicable):
clamav-update-0.102.2-2.fc30.x86_64
(also on Fedora 31)

How reproducible:
Always.

Steps to Reproduce:
1. dnf install clamav-update
2. Wait for the daily cron job to run (can take up to 24h).

Actual results:
logrotate emails an error related to the clamav-update logrotate.conf fragment in /etc/logrotate.d/clamav-update.

Expected results:
No error should occur, and no email should be sent.

Additional info:
Adding a "missingok" directive to /etc/logrotate.d/clamav-update fixes the issue.

Comment 1 Sergio Basto 2020-02-27 01:52:12 UTC
The last 2 commits [1] are doing this issue, I'd love remove all old freshclam stuff ... 
In my point of view , all people it will prefer run `journalctl -u clamav-freshclam` to watch the logs than keep old /var/log/freshclam.log , therefore we should remove or at least move clamav-update.logrotate to /usr/share/doc/clamav-update/

@Orion what do you think ? 



[1]
https://src.fedoraproject.org/rpms/clamav/c/1f8810290c0d69edcaa3cdd5609c2ca40a9490a8?branch=master 
https://src.fedoraproject.org/rpms/clamav/c/81b58f60fb29c29ef5c14e1f9316ca346171850c?branch=master

Comment 2 Orion Poplawski 2020-02-27 04:44:01 UTC
I would just add the "missingok" line to the logrotate file, there is no harm in it just being there.  While the LogFile entry in freshclam.conf is commented out by default, some user may want to use it.  Also this will help with migration as many people will probably keep their old configurations.  Finally, some users my like using logwatch to monitor freshclam.log.

Comment 3 Sergio Basto 2020-02-27 04:56:07 UTC
For me is OK .

Comment 4 Fedora Update System 2020-02-29 18:00:41 UTC
FEDORA-2020-dc6e494b43 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dc6e494b43

Comment 5 Fedora Update System 2020-02-29 18:00:43 UTC
FEDORA-EPEL-2020-3b652ce497 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3b652ce497

Comment 6 Fedora Update System 2020-02-29 18:00:44 UTC
FEDORA-2020-e7e3930abc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e7e3930abc

Comment 7 Fedora Update System 2020-02-29 18:00:46 UTC
FEDORA-EPEL-2020-2c1a3a498a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2c1a3a498a

Comment 8 Fedora Update System 2020-02-29 18:00:47 UTC
FEDORA-2020-7baff44043 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7baff44043

Comment 9 Fedora Update System 2020-02-29 21:14:46 UTC
clamav-0.102.2-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e7e3930abc

Comment 10 Fedora Update System 2020-02-29 22:57:32 UTC
clamav-0.102.2-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7baff44043

Comment 11 Fedora Update System 2020-02-29 22:59:55 UTC
clamav-0.102.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2c1a3a498a

Comment 12 Fedora Update System 2020-02-29 23:23:18 UTC
clamav-0.102.2-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dc6e494b43

Comment 13 Fedora Update System 2020-02-29 23:32:01 UTC
clamav-0.102.2-3.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3b652ce497

Comment 14 Fedora Update System 2020-03-09 02:27:55 UTC
clamav-0.102.2-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-03-09 03:14:21 UTC
clamav-0.102.2-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-03-15 13:07:04 UTC
clamav-0.102.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-03-15 13:45:20 UTC
clamav-0.102.2-3.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-03-16 20:18:04 UTC
clamav-0.102.2-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-03-16 20:30:36 UTC
clamav-0.102.2-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.